package org.springblade.estate.feign;

import org.springblade.estate.entity.Banners;
import org.springblade.estate.vo.BannersVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class BannersClientFallback implements IBannersClient {
            /**
         * 详情
         */
        @Override
        public BannersVO detail(Banners banners) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<BannersVO> list(Banners banners) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( Banners banners) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( Banners banners) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( Banners banners) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
